using System;
namespace takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int a = int.Parse(s[0]);
            int b = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            int x = int.Parse(s[0]);
            int y = int.Parse(s[1]);
            if (x < a & y < b) Console.WriteLine("?");
            else if (x < a & y == b) Console.WriteLine("prvi");
            else if (x == a & y < b) Console.WriteLine("drugi");
            else Console.WriteLine("nijedan");
        }
    }
}